# HG changeset patch
# User Christophe Capon <christophe.capon@vilogia.fr>
# Date 1269594415 -3600
# Branch 5.3.0
# Node ID c4d1538258eb1bae4f1c3c1b4f931d7bafad568b
# Parent  c1cc5ea70ee2d80fd7bf4677f047994eea0e1ff1
More code cleanup

diff -r c1cc5ea70ee2 -r c4d1538258eb nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertManagementService.java
--- a/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertManagementService.java	Fri Mar 26 09:05:32 2010 +0100
+++ b/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertManagementService.java	Fri Mar 26 10:06:55 2010 +0100
@@ -20,7 +20,6 @@
 package org.nuxeo.ecm.alert;
 
 import java.io.Serializable;
-import java.util.List;
 import java.util.Map;
 
 import org.nuxeo.ecm.core.api.ClientException;
diff -r c1cc5ea70ee2 -r c4d1538258eb nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/core/AlertManagementServiceImpl.java
--- a/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/core/AlertManagementServiceImpl.java	Fri Mar 26 09:05:32 2010 +0100
+++ b/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/core/AlertManagementServiceImpl.java	Fri Mar 26 10:06:55 2010 +0100
@@ -68,11 +68,11 @@
 import org.nuxeo.runtime.api.Framework;
 
 /**
- * 
+ *
  * Default implementation of the {@link UserPreferencesService}
- * 
+ *
  * @author <a href="mailto:christophe.capon@vilogia.fr">Christophe Capon</a>
- * 
+ *
  */
 
 public class AlertManagementServiceImpl implements AlertManagementService,
@@ -103,8 +103,9 @@
     private static UserSettingsService getUserSettingsService()
             throws Exception {
 
-        if (userSettingsService == null)
-            userSettingsService = (UserSettingsService) Framework.getService(UserSettingsService.class);
+        if (userSettingsService == null) {
+            userSettingsService = Framework.getService(UserSettingsService.class);
+        }
 
         return userSettingsService;
     }
@@ -145,16 +146,21 @@
 
     private CoreSession init(AlertContext ctx) throws Exception {
 
-        if (rs == null)
+        if (rs == null) {
             rs = Framework.getService(RenderingService.class);
-        if (helper == null)
+        }
+        if (helper == null) {
             helper = new EmailHelperImpl();
-        if (hrc1 == null)
+        }
+        if (hrc1 == null) {
             hrc1 = new HtmlHeader1RenderingContext();
-        if (hrc2 == null)
+        }
+        if (hrc2 == null) {
             hrc2 = new HtmlHeader2RenderingContext();
-        if (frc == null)
+        }
+        if (frc == null) {
             frc = new HtmlFooterRenderingContext();
+        }
 
         CoreSession coreSession = getCoreSession();
 
@@ -180,16 +186,18 @@
 
                 Entry<String, UserAlerts> alert = alertIter.next();
 
-                if (!allAlerts.containsKey(alert.getKey()))
+                if (!allAlerts.containsKey(alert.getKey())) {
                     allAlerts.put(alert.getKey(),
                             new UserAlerts(alert.getKey()));
+                }
 
                 UserAlerts userAlerts = allAlerts.get(alert.getKey());
 
                 Iterator<Alert> alIter = alert.getValue().getAlerts().iterator();
 
-                while (alIter.hasNext())
+                while (alIter.hasNext()) {
                     userAlerts.getAlerts().add(alIter.next());
+                }
 
             }
 
@@ -207,8 +215,9 @@
 
         while (iter.hasNext()) {
             List<String> tpl = iter.next().getValue().getTemplateList();
-            for (String t : tpl)
+            for (String t : tpl) {
                 rs.registerEngine(new AlertRenderingEngine(t));
+            }
         }
 
     }
@@ -219,8 +228,9 @@
 
         while (iter.hasNext()) {
             List<String> tpl = iter.next().getValue().getTemplateList();
-            for (String t : tpl)
+            for (String t : tpl) {
                 rs.unregisterEngine(t);
+            }
         }
 
         rs.unregisterEngine("alertHeader2");
@@ -504,9 +514,9 @@
 
     public EmailHelper setEmailHelper(EmailHelper emailHelper) {
 
-        EmailHelper old = this.helper;
+        EmailHelper old = helper;
 
-        this.helper = emailHelper;
+        helper = emailHelper;
 
         return old;
 
